Add basic JS evaluation test and move version check to override.
Signed-off-by: George Sapkin <redacted>
--- /dev/null
+#!/bin/sh
+
+# shellcheck shell=busybox
+
+case "$PKG_NAME" in
+quickjs)
+ qjs --help | grep -F "${PKG_VERSION//./-}"
+ ;;
+
+*)
+ echo "Untested package: $PKG_NAME" >&2
+ exit 1
+ ;;
+esac
#!/bin/sh
-if [ "$1" = 'quickjs' ]; then
- qjs --help | grep -F "${PKG_VERSION//./-}"
-fi
+# shellcheck shell=busybox
+
+case "$PKG_NAME" in
+quickjs)
+ qjs --eval 'console.log(2 ** 8)' | grep 256
+ ;;
+esac